/**
 * @author Thomas Bellembois
 * @version
 * 
 * Creation date : 21 juil. 2005
 * Last modification :
 */
package org.esupportail.injac.webdavServer.esupWDServerManager.userInterface;

import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.JTextField;

import org.apache.commons.configuration.ConfigurationException;

public class PWDServerManagerGR extends PWDServerManager {

	/**
	 * 
	 * @uml.property name="mainFrame"
	 * @uml.associationEnd multiplicity="(1 1)"
	 */
	JFrame mainFrame;

	/**
	 * 
	 * @uml.property name="mainPanel"
	 * @uml.associationEnd multiplicity="(1 1)"
	 */
	JPanel mainPanel;

	/**
	 * 
	 * @uml.property name="quotaAvailableBytes_label"
	 * @uml.associationEnd multiplicity="(1 1)"
	 */
	JLabel quotaAvailableBytes_label;

	/**
	 * 
	 * @uml.property name="currentPath_textField"
	 * @uml.associationEnd multiplicity="(1 1)"
	 */
	JTextField currentPath_textField;

	/**
	 * 
	 * @uml.property name="getQuotaAvailableBytes_button"
	 * @uml.associationEnd multiplicity="(1 1)"
	 */
	JButton getQuotaAvailableBytes_button;

	protected class button_getQuotaAvailableBytesListener implements
			ActionListener {

		/* (non-Javadoc)
		 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
		 */
		public void actionPerformed(ActionEvent arg0) {
			getQuotaAvailableBytesAction.execute();
		}

	}

	public PWDServerManagerGR() throws ConfigurationException {
		super();
		
		mainFrame = new JFrame("QuotaManager");
		mainPanel = new JPanel();
		mainPanel.setLayout(new FlowLayout());
		quotaAvailableBytes_label = new JLabel("0");
		currentPath_textField = new JTextField("none");
		getQuotaAvailableBytes_button = new JButton("update");
		getQuotaAvailableBytes_button
				.addActionListener(new button_getQuotaAvailableBytesListener());
		mainPanel.add(currentPath_textField);
		mainPanel.add(quotaAvailableBytes_label);
		mainPanel.add(getQuotaAvailableBytes_button);
		mainFrame.getContentPane().add(mainPanel);

	}

	public PWDServerManagerGR(Object args) throws ConfigurationException {
		
	}
	
	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#displayQuotaAvailableBytes(int)
	 */
	public void displayQuotaAvailableBytes(long quotaAvailableBytes) {
		quotaAvailableBytes_label.setText(String.valueOf(quotaAvailableBytes));

	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#startInterface()
	 */
	public void startInterface() {
		mainFrame.pack();
		mainFrame.setVisible(true);
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#getCurrentPath()
	 */
	public String getCurrentPath() {
		return currentPath_textField.getText();
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#displayQuotaUsedBytes(int)
	 */
	public void displayQuotaUsedBytes(long quotaUsedBytes) {
		// TODO Auto-generated method stub
		
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#displayActionResult(java.lang.String)
	 */
	public void displayActionResult(String actionResult) {
		// TODO Auto-generated method stub
		
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#getChildrenDepth()
	 */
	public int getChildrenDepth() {
		// TODO Auto-generated method stub
		return 0;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#getChildrenProcessFiles()
	 */
	public boolean getChildrenProcessFiles() {
		// TODO Auto-generated method stub
		return false;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#getTreeQuotaInformationProcessFiles()
	 */
	public boolean getTreeQuotaInformationProcessFiles() {
		// TODO Auto-generated method stub
		return false;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#getNewQuotaAvailableBytes()
	 */
	public long getNewQuotaAvailableBytes() {
		// TODO Auto-generated method stub
		return 0;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#getNewQuotaUsedBytes()
	 */
	public long getNewQuotaUsedBytes() {
		// TODO Auto-generated method stub
		return 0;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#getPatchQuotaUsedBytesOverwrite()
	 */
	public boolean getPatchQuotaUsedBytesOverwrite() {
		// TODO Auto-generated method stub
		return false;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#getNewVirtualRoot()
	 */
	public boolean getNewVirtualRoot() {
		// TODO Auto-generated method stub
		return false;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#getRemoveQuotaProcessChildren()
	 */
	public boolean getRemoveQuotaProcessChildren() {
		// TODO Auto-generated method stub
		return false;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#getSetQuotaCalculateQuotaUsedBytes()
	 */
	public boolean getSetQuotaCalculateQuotaUsedBytes() {
		// TODO Auto-generated method stub
		return false;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#displayChildren(java.lang.String)
	 */
	public void displayChildren(String children) {
		// TODO Auto-generated method stub
		
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#displayVirtualRoot(boolean)
	 */
	public void displayVirtualRoot(boolean virtualRoot) {
		// TODO Auto-generated method stub
		
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#getWebServiceURL()
	 */
	public String getWebServiceURL() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#getConnectPassword()
	 */
	public String getConnectPassword() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#getConnectUserName()
	 */
	public String getConnectUserName() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#getWebdavServerURL()
	 */
	public String getWebdavServerURL() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#displayCd(java.lang.String)
	 */
	public void displayCd(String path) {
		// TODO Auto-generated method stub
		
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.PQuotaManager#getNewPath()
	 */
	public String getNewPath() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.userInterface.PWDServerManager#getLdapUrl()
	 */
	public String getLdapUrl() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.userInterface.PWDServerManager#getLdapPort()
	 */
	public String getLdapPort() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.userInterface.PWDServerManager#getLdapBaseDn()
	 */
	public String getLdapBaseDn() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.userInterface.PWDServerManager#getLdapPrincipal()
	 */
	public String getLdapPrincipal() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.userInterface.PWDServerManager#getLdapCredential()
	 */
	public String getLdapCredential() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.userInterface.PWDServerManager#getLdapUserUidAttribut()
	 */
	public String getLdapUserUidAttribut() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.userInterface.PWDServerManager#getLdapMaxResults()
	 */
	public String getLdapMaxResults() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.userInterface.PWDServerManager#get_ldapScope()
	 */
	public String get_ldapScope() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.userInterface.PWDServerManager#getDirectoriesStructureHashType()
	 */
	public String getDirectoriesStructureHashType() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.userInterface.PWDServerManager#getHomedirRoot()
	 */
	public String getHomedirRoot() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.userInterface.PWDServerManager#getUsersPath()
	 */
	public String getUsersPath() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.userInterface.PWDServerManager#getRolesPath()
	 */
	public String getRolesPath() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.userInterface.PWDServerManager#getLocalRolesPath()
	 */
	public String getLocalRolesPath() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.userInterface.PWDServerManager#getUportalRolesPath()
	 */
	public String getUportalRolesPath() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.userInterface.PWDServerManager#getHomedirLdapFilter()
	 */
	public String getHomedirLdapFilter() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.userInterface.PWDServerManager#displayNumberLDAPEntries(int)
	 */
	public void displayNumberLDAPEntries(int displayNumberLDAPEntries) {
		// TODO Auto-generated method stub
		
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.userInterface.PWDServerManager#getInjacAdmin()
	 */
	public String getInjacAdmin() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.userInterface.PWDServerManager#getInjacSpaceName()
	 */
	public String getInjacSpaceName() {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see org.esupportail.portal.utils.injac.esupWDServerManager.userInterface.PWDServerManager#getInjacChannelAccount()
	 */
	public String getInjacChannelAccount() {
		// TODO Auto-generated method stub
		return null;
	}

	public String getSpaceLDAPAttribute() {
		// TODO Auto-generated method stub
		return null;
	}

	public String getSpaceLDAPFilter() {
		// TODO Auto-generated method stub
		return null;
	}

	public String getSpaceName() {
		// TODO Auto-generated method stub
		return null;
	}

	public String getSpacePatternFilePath() {
		// TODO Auto-generated method stub
		return null;
	}

	public String getSpaceRegexp() {
		// TODO Auto-generated method stub
		return null;
	}

	public String getSpaceRegexpSeparator() {
		// TODO Auto-generated method stub
		return null;
	}

	public void displayExist(boolean exist) {
		// TODO Auto-generated method stub
		
	}

	public String getForceSetProperties() {
		// TODO Auto-generated method stub
		return null;
	}

}
